<html>
   <head>
      <meta http-equiv="pragma" content="no-cache">
      <meta http-equiv="content-type" content="text/html; charset=utf-8">
      <title>Service Profiler Overhead Benchmarking</title>
      %invoke wia.test.issprofiler.overheadbenchmark.ui.util:getStyleMetadata%
      <link rel="stylesheet" type="text/css" href="%value WmRoot/cssFilename%">
      <link rel="stylesheet" type="text/css" href="package.css">
      %end invoke%
      <style
         <!--
         td {vertical-align: top;}
         .evenrowdata-r, .oddrowdata-r {font-weight: bold;}
         -->
      </style>
   </head>

   <body>
      <table width="100%">
         <tr>
            <TD class="menusection-OverheadBenchmark" colspan="2">Service Profiler Overhead Benchmark &gt; Summary Report</TD>
         </tr>
         <tr>
            <td>
               <ul>
                  <li><a href="./">Back to home page</a></li>
               </ul
            <td>
         </tr>
      </table>

      <table width="100%"> <!-- this table is being used only to set a left identation to the child tables -->
         %invoke wia.test.issprofiler.overheadbenchmark.ui:runMain%
            %ifvar message%
               <tr>
                  <td class="message" colspan="2">
                     %value message%
                  </td>
               </tr>
            %else%
               <tr>
                  <td width="10">&nbsp;</td>
                  <td>
                     <div id="contentArea" style="max-width: 500px;">
                        <table name="dataDetail">
                           <thead>

                              %ifvar validationMessage%
                                 <tr>
                                    <td class="message" colspan="3">
                                       %value validationMessage%
                                    </td>
                                 </tr>
                                 <tr> <td colspan="3"> &nbsp; </td> </tr>
                              %endif%

                              <tr class="heading">
                                 <td colspan="3">Process Summary Report</td>
                              </tr>
                           </thead>

                           <tbody>
                              %scope report%
                                 <tr>
                                    <td class="oddrow">Number of Services invoked:</td>
                                    <td class="oddrowdata-r">%value invokeCount%</td>
                                    <td class="oddrow-l">
                                       Aproximated count of services called for each run of the use cases.
                                       <br>
                                       The test executes the use cases run twice: one with the Profiler activated and another with Profiler deactivated.
                                       <br>
                                       This is an approximate count because it is only the count while the Profiler was activated...
                                       which includes (but also excludes) a small amount of services used to control the whole process.
                                    </td>
                                 </tr>
                                 <tr>
                                    <td class="evenrow">Elapsed time with Profiler activated:</td>
                                    <td class="evenrowdata-r">%value elapsedMillisWhenActive%</td>
                                    <td class="evenrow-l">
                                       In <b>milliseconds</b>.
                                    </td>
                                 </tr>
                                 <tr>
                                    <td class="oddrow">Elapsed time with Profiler inactive:</td>
                                    <td class="oddrowdata-r">%value elapsedMillisWhenInactive%</td>
                                    <td class="oddrow-l">
                                       In <b>milliseconds</b>.
                                    </td>
                                 </tr>
                                 <tr>
                                    <td class="evenrow">Total overhead:</td>
                                    <td class="evenrowdata-r">%value overheadMillis%</td>
                                    <td class="evenrow-l">
                                       The difference between running the use cases without and with the Profiler activated, in <b>milliseconds</b>.
                                    </td>
                                 </tr>
                                 <tr>
                                    <td class="oddrow">Overhead percentage:</td>
                                    <td class="oddrowdata-r">%value overheadPercent%</td>
                                    <td class="oddrow-l">
                                       The calculated elapsed overhead <b>percentage</b> of the use cases running with the
                                       Profiler activated, rounded to the 2<sup>nd</sup> decimal place.
                                    </td>
                                 </tr>
                                 <tr>
                                    <td class="evenrow">Average overhead per Service:</td>
                                    <td class="evenrowdata-r">%value overheadPerSvcMillis%</td>
                                    <td class="evenrow-l">
                                       The number of <b>milliseconds</b>, rounded to the 3<sup>rd</sup> decimal place.
                                    </td>
                                 </tr>
                              %end%
                           <tbody>

                        </table>
                     </div>
                  </td>
               </tr>
            %endif%
         %onerror%
            <tr>
               <td class="message" colspan="2">
                  An error occurred trying to build the report data.
                  Check by executing the '%value errorService%' service on a browser.
                  The error details are as follows: <br>
                  %value errorMessage%
               </td>
            </tr>
         %endinvoke%
      </table>

   </body>
</html>
