<html>
   <head>
      <meta http-equiv="pragma" content="no-cache">
      <meta http-equiv="content-type" content="text/html; charset=utf-8">
      <title>Service Profiler Overhead Benchmarking</title>
      %invoke wia.test.issprofiler.overheadbenchmark.ui.util:getStyleMetadata%
      <link rel="stylesheet" type="text/css" href="%value WmRoot/cssFilename%">
      <link rel="stylesheet" type="text/css" href="package.css">
      %end invoke%
      <script type="text/javascript">
         <!-- // Activate cloak

            function sayWaitMessage()
            /**
              Hide any visible controls and links on the current page and display Wait Message
             *****************************/{
               var xContentArea = document.getElementById("contentArea");
               var xMessageArea = document.getElementById("messageArea");

               if (xContentArea && xMessageArea)
                  {
                  xContentArea.style.display = "none";
                  xMessageArea.style.display = "block";

                  var xOptions = getElementsByName("tr", "navigationLink");
                  if(xOptions)
                     for(xIdx = 0; xIdx < xOptions.length; xIdx++)
                        xOptions[xIdx].style.display = "none";
                  return true;
                  }
               else
                  return false;
            }

         function getElementsByName(tagName, elementName)
         /*********************************************************************
         *  Collects all Elements with the same name.
         **********************************************************************
         *  Parameters:
         *     tagName     - The tag name that the element is defined as.
         *                   Because IE does not find any kind of Tag Element
         *                   with the getElementsByName('name') method, the
         *                   the tagName helps to workaround it.
         *     elementName - The name od the elements to collect.
         **********************************************************************
         *  Returns the Collection of found Elements.
         ********************************************************************/{
            var xResult = document.getElementsByName(elementName);

            if (xResult.length == 0)      // IE browser doesn't get any type of element by name... only some!
               {
               xResult = document.getElementsByTagName(tagName);
               if (xResult.length > 0)
                  {
                  var xTmp = new Array();

                  for(xIdx = 0; xIdx < xResult.length; xIdx++)
                     if (xResult[xIdx].getAttribute("name") == elementName)  // Opera 9 does not recognize 'xResult[xIdx].name'
                        xTmp.push(xResult[xIdx]);

                  xResult = xTmp;
                  }
               }

            return xResult;
         /**< END getElementsByName(String, String)   >**********************/}

         // Deactivate cloak -->
      </script>
   </head>

   <body>
      <table width="100%">
         <tr>
            <td class="menusection-OverheadBenchmark" colspan="2">Service Profiler Overhead Benchmark &gt; Starter</td>
         </tr>
         <tr name="navigationLink">
            <td>
               <ul>
                  <li><a href="./">Back to home page</a></li>
               </ul
            <td>
         </tr>
      </TABLE>
      <p>

      <table width="100%"> <!-- this table is being used only to set a left identation to the child tables -->
         <tr>
            <td width="10">&nbsp;</td>
            <td>
               <div id="messageArea" style="display: none;">
                  <p>
                     Please wait...
                  </p>
               </div>
               <div id="contentArea" style="max-width: 500px;">
                  <table name="dataDetail">
                     <form name="frmExecute" method="post" action="ovhdbnchmk_report.dsp">
                        <tr class="heading">
                           <td colspan="2">Launch The Benchmarking Process</td>
                        </tr>
                        <tr>
                           <td class="oddrow-l" colspan="2">
                              <div style="margin: 1em;">
                                 <p>
                                    You are about to launch the benchmarking process.
                                 </p>
                                 <p>
                                    This may take a few minutes, depending on the selected stress mode,
                                    and will increase the server's CPU usage considerably for the duration.
                                 </p>
                                 <p>
                                    <b>WARNING!</b></br>
                                    The profiler overhead can be so low that if you run the test with the lowest
                                    'stress mode' the reported overhead may be negative. This happens when the IS is
                                    taken from a <i>lethargic</i> situation, such as when is has just (re)started.</br>
                                    This is due to the initial effort to overcome its inertia (initial resources
                                    allocation, etc.).</br>
                                    The highest 'stress mode' tries to overcome this by extending the test and
                                    attenuate the initial effort discrepancies.</br>
                                    When the IS is already <i>cruising</i>, reporting negative overheads will
                                    not happen... on <u>any</u> of the 'stress modes'.
                                 </p>
                              </div>
                           </td>
                        </tr>
                        <tr>
                           <td class="evenrow">
                              Stress mode:
                           </td>
                           <td class="evenrow-l">
                              <select name="stressMode">
                                 <option value="High" selected>High (Default)</option>
                                 <option value="Moderate">Moderate</option>
                                 <option value="Lightweight">Lightweight</option>
                              </select>
                           </td>
                        </tr>
                        <tr>
                           <td class="action" colspan="2">
                              <input type="submit" value="Execute" onclick="sayWaitMessage();">
                           </td>
                        </tr>
                     </form>
                  </table>
               </div>
            </td>
         </tr>
      </table>

   </body>
</html>
